### Property

# Clutter ShaderEffect:shader-type

#### Declaration

    property shader-type: Clutter.ShaderType [ write, construct-only ]

#### Description [src]

The type of shader that is used by the effect. This property should be set by the constructor of `ClutterShaderEffect` sub-classes.

Type:`ClutterShaderType`

Default value | CLUTTER_FRAGMENT_SHADER

#### Flags

Readable | no
Writable | yes
Construct | no
Construct only | yes